git-annex-proxy(1)

NAME
git-annex-proxy - safely bypass direct mode guard

SYNOPSIS
git annex proxy -- git cmd [options]

DESCRIPTION
Only useful in a direct mode repository, this runs the specified git command with a temporary work tree, and updates the working tree to reflect any changes staged or committed by the git command.

For example, to revert the most recent change that was committed to the repository:

 git annex proxy -- git revert HEAD

To check out a past version of the repository:

 git annex proxy -- git checkout HEAD^^

To rename a directory:

 git annex proxy -- git mv mydir newname

SEE ALSO
git-annex(1)

git-annex-direct(1)

AUTHOR
Joey Hess <id@joeyh.name>